Subject: bug#21965: 24.5; Emacs freezes when canceling at open file

From: John Wiegley <[email-masked]>
Date: Tue, 24 Nov 2015 17:02:51 -0800

>>>>> Maneesh Yadav <[email-masked]> writes:

> lldb "thread continue" runs after, but emacs remains unresponsive 'thread
> step-in" does increment the instruction counter (output below)...but not
> really sure what that implies.

Maneesh,

Can you show me the full backtrace of all threads when it deadlocks? I just
realized that xg_select is called from wait_reading_process_output, which I
believe means it's callable from multiple threads at once.

The behavior of g_main_context_acquire is *documented* to never block, but
rather to return FALSE if another thread has the context; if the behavior has
been changed to block on OS X -- and the thread with the context is calling
pselect() and waiting to return -- this would match your experience.

John